import { OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare type UnitSpaceType = 'show' | 'hide' | 'auto';
/** [ChannelValue Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-channel-value--readme)
 *
 * Displays a value/unit combination.
 * These are used as part of the HeroComponent but can also be used inline.
 * */
export declare class ChannelValueComponent implements OnChanges {
    /** If true, shows units before the value
     *
     * @default false
     * */
    prefix: boolean;
    /** The text to display for the units (light text) */
    units: string;
    /** The text to display for the value (bold text)*/
    value: string | number;
    /** Text color */
    color: string;
    /** Show a space between the value and units. Can be `show` | `hide` | `auto`
     *
     * `show` - Show a space between the value and units.
     *
     * `hide` - Hide a space between the value and units.
     *
     * `auto` - Shows space except for white list items.
     *
     * prefixUnitWhitelist: ['$']
     *
     * suffixUnitWhitelist: ['%', '℉','°F','℃','°C','°']
     *
     * @default auto;
     * */
    unitSpace: UnitSpaceType;
    prefixUnitWhitelist: string[];
    suffixUnitWhitelist: string[];
    isWhiteListedUnit: boolean;
    ngOnChanges(): void;
    getValueAsString(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChannelValueComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChannelValueComponent, "blui-channel-value", never, { "prefix": "prefix"; "units": "units"; "value": "value"; "color": "color"; "unitSpace": "unitSpace"; }, {}, never, ["*"], false, never>;
}
