import { ChangeDetectorRef } from '@angular/core';
import { DrawerStateManagerService, StateListener } from '../state-listener.component';
import * as i0 from "@angular/core";
/**
 * [DrawerFooter Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-footer>` is an optional section that renders at the bottom of the `<blui-drawer>`.
 * It can be used to add any custom content (as children).
 */
export declare class DrawerFooterComponent extends StateListener {
    /** Whether to show a dividing line above the Footer
     *
     * @default true
     * */
    divider: boolean;
    /** Hide footer content when closed
     *
     * @default true
     * */
    hideContentOnCollapse: boolean;
    constructor(stateManagerService: DrawerStateManagerService, changeDetectorRef: ChangeDetectorRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerFooterComponent, "blui-drawer-footer", never, { "divider": "divider"; "hideContentOnCollapse": "hideContentOnCollapse"; }, {}, never, ["*"], false, never>;
}
