import { OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare type MobileStepperVariant = 'dots' | 'text' | 'progress';
/**
 * [MobileStepper Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-mobile-stepper--readme)
 *
 * The <MobileStepper> is used to minimally display progress when completing a workflow that requires multiple steps.
 *  There are three types of progress indicators supported, dots (default), text, and progress.
 */
export declare class MobileStepperComponent implements OnChanges {
    /** The index of the active step */
    activeStep: number;
    /** Total number of steps to display */
    steps: number;
    /** Which type of indicator to use. Can be 'dots' | 'text' | 'progress'.
     *
     * `dots` - Each step appears as a dot. Visited steps will appear as a different color.
     *
     * `text` -  Text indicator which shows current step and total steps.  Example: "Step 1/5"
     *
     * `progress` - Appears as a progress bar that fills the further along as user is in the workflow.
     *
     * @default dots
     * */
    variant: MobileStepperVariant;
    stepsArray: number[];
    ngOnChanges(): void;
    /** This is only used for progress variant. */
    getProgressFill(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<MobileStepperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MobileStepperComponent, "blui-mobile-stepper", never, { "activeStep": "activeStep"; "steps": "steps"; "variant": "variant"; }, {}, never, ["[blui-back-button]", "[blui-next-button]"], false, never>;
}
