import { AfterViewInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * [ThreeLiner Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-three-liner--readme)
 *
 * The `<blui-three-liner>` can display up to three lines of stylized text or other ng-content.
 * It is most commonly used within the context of a `<blui-md-bar>` component where the text can grow / shrink as the App Bar is expanded and collapsed.
 */
export declare class ThreeLinerComponent implements AfterViewInit {
    private readonly _ref;
    /** First line content */
    title: any;
    /** Second line content */
    subtitle: any;
    /** Third line content */
    info: any;
    titleEl: ElementRef;
    subtitleEl: ElementRef;
    infoEl: ElementRef;
    isEmpty: (el: ElementRef) => boolean;
    constructor(_ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThreeLinerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThreeLinerComponent, "blui-three-liner", never, { "title": "title"; "subtitle": "subtitle"; "info": "info"; }, {}, never, ["[blui-title]", "[blui-subtitle]", "[blui-info]"], false, never>;
}
